Bug 199409 - ppmtompeg -- double call of fclose() on a single FILE * raising glibc exception
ppmtompeg -- double call of fclose() on a single FILE * raising glibc exception
Product: Fedora
Classification: Fedora
Component: netpbm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-07-19 08:39 EDT by Milan Zazrivec
Modified: 2013-07-02 19:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-19 09:18:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
NetPBM double fclose() patch (445 bytes, patch)
2006-07-19 08:39 EDT, Milan Zazrivec
no flags Details | Diff

  None (edit)
Description Milan Zazrivec 2006-07-19 08:39:08 EDT
Description of problem:

When running ppmtompeg in parallel mode, Combine server tries
to fclose single *FILE structure twice.

Version-Release number of selected component (if applicable):

10.33, 10.34, most-likely in previous versions too.

How reproducible:

Run ppmtompeg in parallel mode.

Steps to Reproduce:
1. run ppmtompeg in parallel mode
2. after combine server shut down, glibc reports 
   'double free or corruption error'
Actual results:
glibc error report:

*** glibc detected ***
/usr/src/redhat/BUILD/netpbm-10.33/converter/ppm/ppmtompeg/ppmtompeg: double
free or corruption (fasttop): 0x08d5f0f0 ***
======= Backtrace: =========
/lib/libc.so.6(fclose+0x140)[0x1654c0] ... report continues.

glibc error mentioned above causes combine server to exit uncleanly,
but it does not affect encoded mpeg-file in any way, as it is already 
flushed and closed.

Attached patch solves this problem.
Comment 1 Milan Zazrivec 2006-07-19 08:39:08 EDT
Created attachment 132678 [details]
NetPBM double fclose() patch
Comment 2 Jindrich Novy 2006-07-19 09:18:13 EDT
Fixed since 10.34-2.

Comment 3 Fedora Update System 2006-08-14 11:59:00 EDT
netpbm-10.34-1.fc5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.